Bug 1124456 - VMs statistics not reported to MOM by ovirt-guest-agent
Summary: VMs statistics not reported to MOM by ovirt-guest-agent
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: oVirt
Classification: Retired
Component: mom
Version: 3.5
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: 3.5.0
Assignee: Adam Litke
QA Contact: Lukas Svaty
URL:
Whiteboard: sla
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-29 14:16 UTC by Lukas Svaty
Modified: 2016-02-10 19:41 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-12 08:19:15 UTC
oVirt Team: SLA


Attachments (Terms of Use)

Description Lukas Svaty 2014-07-29 14:16:30 UTC
Description of problem:
MOM does not get memory statistics from guest agent of VMs as in previous versions 3.4/3.3

Version-Release number of selected component (if applicable):
engine rhel6.5:
ovirt-3.5.0-beta2
ovirt-engine-setup-3.5.0-0.0.master.20140722232058.git8e1babc.el6.noarch

host: rhel6.5
mom-0.4.1-2.el6.noarch
vdsm-4.16.1-0.gita4d9abf.el6.x86_64

VMs - rhel6.5
ovirt-guest-agent-1.0.9-1.el6.noarch
qemu-guest-agent-0.12.1.2-2.415.el6_5.10.x86_64

How reproducible:
100%

Steps to Reproduce:
1. Start VM and install os
2. yum install ovirt-guest-agent && service start ovirt-guest-agent on VM
3. on host change rpc-port: to something like 8080 in /etc/vdsm/mom.conf
4. restart vdsm on host
5. on host in python
   pprint.pprint(xmlrpclib.ServerProxy("http://localhost:8080").getStatistics())

Actual results:
>>> pprint.pprint(xmlrpclib.ServerProxy("http://localhost:8080").getStatistics())
{'guests': {},
 'host': {'anon_pages': 2205896,
          'cpu_count': 8,
          'ksm_full_scans': 12,
          'ksm_pages_shared': 89552,
          'ksm_pages_sharing': 143483,
          'ksm_pages_to_scan': 64,
          'ksm_pages_unshared': 223167,
          'ksm_pages_volatile': 65653,
          'ksm_run': 1,
          'ksm_shareable': 11135892,
          'ksm_sleep_millisecs': 20,
          'ksmd_cpu_usage': 0,
          'mem_available': 8030384,
          'mem_free': 5464324,
          'mem_unused': 342932,
          'swap_in': 0,
          'swap_out': 0,
          'swap_total': 2097144,
          'swap_usage': 54152}}

Expected results:
memory of VMs should be reported as quests

Additional info:
No errors in vdsm, engine, guest-agent logs

Comment 1 Michal Skrivanek 2014-07-30 09:03:06 UTC
why is this a guest agent problem? I'm missing any logs or hints pointing to guest agent - reassigning to mom

Comment 2 Lukas Svaty 2014-07-30 10:44:30 UTC
Application of VM was not reported neither. At the moment it is working correctly on other host, I'll try to reproduce it again today on the same host where this occured, if it won't be reproducible I'll CLOSE this.

Comment 3 Adam Litke 2014-08-11 20:09:50 UTC
Ping?  Were you able to reproduce this or should we close it?

Comment 4 Lukas Svaty 2014-08-12 08:19:15 UTC
Failed to reproduce in rc1, closing this one.


Note You need to log in before you can comment on or make changes to this bug.